(*
  Copyright 2012 Gerd Stolpmann

  This file is part of Plasma, a distributed filesystem and a
  map/reduce computation framework. Unless you have a written license
  agreement with the copyright holder (Gerd Stolpmann), the following
  terms apply:

  Plasma is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  Plasma is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with Plasma.  If not, see <http://www.gnu.org/licenses/>.

*)
(* $Id: pfs_pmanage.mli 560 2012-01-04 15:36:40Z gerd $ *)

(** Manager for potentially persisting objects *)

(** This works first when called from a Netplex container, or at least
    after creating the Netplex controller.
 *)

val register_file : string -> unit
  (** Register a temporary file *)

val register_shm : string -> unit
  (** Register a POSIX shm object *)

val delete_registered_objects : unit -> unit
  (** Delete all the objects on disk, and clear the registry *)
